version: '3'
services:

## Services
  app:
    build:
      context: ./
    volumes:
      - ./src:/app/src
    environment:
      SERVER_PORT: 3000
      ENABLE_EXTENDED_PROPERTIES: 'true'
      DB_HOST: app-db
      DB_USER: user
      DB_PASSWORD: password
      DB_DATABASE: db
    depends_on:
      - app-db
    ports:
      - 8000:3000
    # command: sh -c "yarn migrate && yarn start:dev"
    command: sh -c "yarn start:dev"

## Databases
  app-db:
    image: postgres:12
    ports:
      - 5433:5432
    environment:
      POSTGRES_HOST_AUTH_METHOD: trust
      POSTGRES_USER: user
      POSTGRES_PASSWORD: password
      POSTGRES_DB: db
